/* Copyright 2015 Endless Mobile, Inc. */

/* This file is part of eos-metrics.
 *
 * eos-metrics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * eos-metrics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with eos-metrics.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

#pragma once

#if !(defined(_EMTR_INSIDE_EOSMETRICS_H) || defined(COMPILING_EOS_METRICS))
#error "Please do not include this header file directly."
#endif

/**
 * EMTR_MAJOR_VERSION:
 *
 * Major version number (API level) of the Endless Metrics library.
 * For example, this is 0 for version 0.6.1.
 *
 * Since: 0.6
 */
#define EMTR_MAJOR_VERSION (0)
/**
 * EMTR_MINOR_VERSION:
 *
 * Minor version number of the Endless Metrics library.
 * For example, this is 6 for version 0.6.1.
 * An even number indicates a stable release, while an odd number is used for
 * development snapshots.
 *
 * Since: 0.6
 */
#define EMTR_MINOR_VERSION (5)
/**
 * EMTR_MICRO_VERSION:
 *
 * Micro version number of the Endless Metrics library.
 * For example, this is 1 for version 0.6.1.
 *
 * Since: 0.6
 */
#define EMTR_MICRO_VERSION (0)
